Subject: bug#60860: 29.0.60; set save-silently to t can not avoid messages when saving files

From: Juri Linkov <[email-masked]>
Date: Sat, 01 Apr 2023 21:30:19 +0300

>> >> To do the same, in Emacs 29 it's possible to add all these strings
>> >> like "Saving file..." to 'inhibit-message-regexps'.
>> >
>> > I tried to set (setq inhibit-message-regexps "^Saving"), but the message
>> > in acho area still exist when saving file.
>>
>> Please also customize 'set-message-functions' so that its first element
>> is 'inhibit-message'.  Also 'inhibit-message-regexps' should be a list.
>> These settings should disable the message:
>>
>>   (setq inhibit-message-regexps '("^Saving"))
>>   (setq set-message-functions '(inhibit-message))
>
> Why wasn't any of this documented?..

Sorry, I pushed it without documentation, then later you added +++
and I forgot that it is not documented.